Research sources
FairCrawl’s research layer mixes always-on sources with opt-in heavier sources. The practical source families to plan around are:
| Source | Best for |
|---|---|
web | broad web search with page reads |
duckduckgo | fast web results and query expansion |
reddit | community threads and real-user feedback |
hackernews | technical launch and builder discussion |
github | repos, issues, and open-source activity |
youtube | channel and video ecosystem signals |
bluesky | current social conversation |
twitter | opt-in social search |
tiktok | creator and short-form content discovery |
instagram | creator and brand social content |
threads | Meta Threads discussion |
wikipedia | stable reference facts |
arxiv | academic and research papers |
stackoverflow | implementation details and troubleshooting |
Additional heavier or more situational sources include producthunt, quora, indiehackers, medium, substack, and polymarket.
Source-filtered GitHub research
```bash
curl https://api.faircompany.ai/v1/crawl/research \
-X POST \
-H "Authorization: Bearer fc_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"query": "vector database benchmarks site:github.com",
"sources": ["github"],
"limit": 10
}'
```
```ts
const results = await fc.research({
query: "vector database benchmarks site:github.com",
sources: ["github"],
limit: 10,
});
console.log(results.all.map((item) => item.url));
```
```python
results = fc.research(
"vector database benchmarks site:github.com",
sources=["github"],
limit=10,
)
print([item.url for item in results.all])
```
```json
{
"tool": "faircrawl_research",
"arguments": {
"query": "vector database benchmarks site:github.com",
"sources": ["github"],
"limit": 10
}
}
```